Archived: LabVIEW 2011 FPGA Module f1 Patch Details

NI does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

The LabVIEW FPGA Module 2011 f1 patch resolves the following issue:

ID Fixed Issue
308756 Potential Data Corruption with NI FlexRIO DRAM, NI-XNET C Series modules, and CANopen C Series modules

 

An internal component of the LabVIEW 2011 FPGA Module can generate VHDL containing a race condition that could lead to a potential data corruption when using certain LabVIEW FPGA hardware targets. This race condition could be present when running a LabVIEW FPGA design with any of the following characteristics:

  • The design is running on an NI FlexRIO FPGA target and using the DRAM interface configured to use FPGA Memory Items. When using the CLIP DRAM interface, this issue is not present.
  • The design uses an NI-XNET C Series module.
  • The design uses a CANopen C Series module.

When using NI FlexRIO DRAM, the result of this issue could be lost data, corrupt data, or overwritten data without notice.  When using the NI-XNET or CANopen C Series modules, the result could be incorrect frames returned from the module.

If you are using the LabVIEW 2011 FPGA Module along with the FPGA Memory Item interface to DRAM, an NI-XNET C Series module, or a CANopen C Series module, it is highly recommended that you install the patch.

This issue is only present in the LabVIEW 2011 FPGA Module. All previous versions are not impacted.

Related Links: 
Drivers and Updates: LabVIEW 2011 FPGA Module f1 Patch